%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:          jboss-interceptor
Version:       2.0.0
Release:       %mkrel 1
Summary:       JBoss EJB 3.1 Common Interceptor Library
Group:         Development/Java
License:       ASL 2.0
Url:           http://www.jboss.org/
# https://github.com/jbossinterceptors/
# mkdir -p jboss-interceptor-2.0.0.Final
# git clone git://github.com/jbossinterceptors/jbossinterceptors.git
# cd jbossinterceptors
# git archive 2.0.0.Final | tar -x -C ../jboss-interceptor-2.0.0.Final
# cd ..
# tar czf jboss-interceptor-2.0.0.Final-src-git.tar.gz jboss-interceptor-2.0.0.Final
Source0:       jboss-interceptor-%{namedversion}-src-git.tar.gz

Patch0:        jboss-interceptor-%{namedversion}-poms.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: jboss-parent
BuildRequires: apiviz
BuildRequires: guava
BuildRequires: javassist
#BuildRequires: jboss-ejb3-api http://anonsvn.jboss.org/repos/jbossas/projects/ejb3/tags/jboss-ejb3-api-3.1.0
BuildRequires: jboss-ejb-3.1-api
BuildRequires: jboss-interceptors-1.1-api
BuildRequires: junit4
BuildRequires: slf4j
BuildRequires: jboss-specs-parent

BuildRequires: findbugs-maven-plugin
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      guava
Requires:      javassist
Requires:      jboss-ejb-3.1-api
#Requires:      jboss-ejb3-api
Requires:      jboss-interceptors-1.1-api
Requires:      slf4j

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch


%description
JBoss EJB 3.1 Common Interceptor Library Implementation.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

sed -i "s|<groupId>net.gleamynode.apiviz|<groupId>org.jboss.apiviz|" pom.xml 
# FIXME requires for now unavailable jboss-as apis
sed -i "s|<groupId>org.jboss.ejb3|<groupId>org.jboss.spec.javax.ejb|" pom.xml jboss-interceptor-core/pom.xml
sed -i "s|<artifactId>jboss-ejb3-api|<artifactId>jboss-ejb-api_3.1_spec|" pom.xml jboss-interceptor-core/pom.xml
sed -i "s|<version>3.1.0|<version>1.0.1.Final|" pom.xml

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
rm -rf jboss-interceptor-core/target/jboss-interceptor-core*-sources.jar
install -pm 644 %{name}-core/target/%{name}-core*.jar \
  %{buildroot}%{_javadir}/jboss/%{name}-core.jar

rm -rf jboss-interceptor-spi/target/jboss-interceptor-spi*-sources.jar
install -pm 644 %{name}-spi/target/%{name}-spi*.jar \
  %{buildroot}%{_javadir}/jboss/%{name}-spi.jar


mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-parent.pom
%add_maven_depmap JPP.jboss-%{name}-parent.pom
install -pm 644 %{name}-core/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-core.pom
%add_maven_depmap JPP.jboss-%{name}-core.pom jboss/%{name}-core.jar
install -pm 644 %{name}-spi/pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}-spi.pom
%add_maven_depmap JPP.jboss-%{name}-spi.pom jboss/%{name}-spi.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}-*.jar
%{_mavenpomdir}/JPP.jboss-%{name}-*.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Mar 03 2012 gil <gil> 2.0.0-1.mga2
+ Revision: 217036
- imported package jboss-interceptor

